Bug 994065 - python-waitress possibly affected by F-20 unversioned docdir change
python-waitress possibly affected by F-20 unversioned docdir change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-waitress (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lorenzo Gil Sanchez
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 10:06 EDT by Ville Skyttä
Modified: 2014-10-19 09:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-waitress-0.8.9-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-19 09:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 10:06:38 EDT
python-waitress was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora Update System 2013-08-09 09:47:53 EDT
python-waitress-0.8.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-waitress-0.8.5-2.fc19
Comment 2 Fedora Update System 2013-08-09 10:04:25 EDT
python-waitress-0.8.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-waitress-0.8.5-2.fc18
Comment 3 Fedora Update System 2013-08-09 23:54:38 EDT
Package python-waitress-0.8.5-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-waitress-0.8.5-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14540/python-waitress-0.8.5-2.fc18
then log in and leave karma (feedback).
Comment 4 Ville Skyttä 2013-08-10 04:00:18 EDT
This update should not be shipped for F-18 and F-19 because it changes things in F-20 only -- all it would do to to F-18 and F-19 users is to make them download and install updates that change nothing.

Please cancel/delete the updates in comments 1 and 2.
Comment 5 Fedora Update System 2013-08-10 08:35:43 EDT
Package python-waitress-0.8.5-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-waitress-0.8.5-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14558/python-waitress-0.8.5-2.fc19
then log in and leave karma (feedback).
Comment 6 Ville Skyttä 2013-08-10 14:17:32 EDT
Again, please cancel/delete the updates in comments 1, 2 and 5.
Comment 7 Lorenzo Gil Sanchez 2013-08-20 03:17:59 EDT
Ok, the updates for F18 and F19 are canceled and deleted now. Sorry about that.
Comment 8 Fedora End Of Life 2013-09-16 12:53:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 Christopher Meng 2014-07-14 22:41:14 EDT
Hi,

The culprit is the %description, is it so tricky to fix that?

Meanwhile, the %description are half of crap:

It runs on CPython on Unix and Windows under
Python 2.6+ and Python 3.2. It is also known to run on PyPy 1.6.0 on UNIX.

Please drop these.

Plus, please use the correct python2 macro:

https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
https://fedoraproject.org/wiki/Packaging:Python#Macros
Comment 10 Lorenzo Gil Sanchez 2014-07-14 23:29:07 EDT
Ok, I have fixed the %description section for the python3 subpackage. The one for python2 was fine.

Why do you say the description is half of crap? I think it is good for the user to know what platforms does Waitress support. In fact it is one of the main points of using this WSGI server.

I've also updated the Python2 macro.
Comment 11 Fedora Update System 2014-07-19 11:09:29 EDT
python-waitress-0.8.9-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-waitress-0.8.9-4.fc20
Comment 12 Fedora Update System 2014-07-19 11:16:57 EDT
python-waitress-0.8.9-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-waitress-0.8.9-4.fc19
Comment 13 Ville Skyttä 2014-07-19 12:37:39 EDT
The F-19 and F-20 updates submitted do not seem to make any sense to me: for F-19 nothing actually changes as the result of the F-20+ docdir change, and for F-20 the docdir is already correct in -3:

$ rpm -q python-waitress
python-waitress-0.8.9-3.fc20.noarch
$ rpm -qi python-waitress | grep share/doc
For more information, see /usr/share/doc/python-waitress/docs

I suggest deleting both updates from comment 11 and 12.

By the way, -4 build for F-21 is missing, there's only F-19, F-20, and Rawhide.
Comment 14 Ville Skyttä 2014-07-19 12:39:53 EDT
(In reply to Ville Skyttä from comment #13)
> for F-20 the docdir is already correct in -3:

...but not for the python3 subpackage, so the F-20 update is fine, only F-19 should be deleted. See also earlier discussion in comments 4, 6 and 7 of this bug.
Comment 15 Lorenzo Gil Sanchez 2014-07-19 13:41:38 EDT
Sorry about F19 update. I stepped on the same stone twice.
Comment 16 Fedora Update System 2014-07-19 23:25:46 EDT
Package python-waitress-0.8.9-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-waitress-0.8.9-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8565/python-waitress-0.8.9-4.fc20
then log in and leave karma (feedback).
Comment 17 Rahul Sundaram 2014-10-17 14:31:39 EDT
Do you want to push this to stable?
Comment 18 Lorenzo Gil Sanchez 2014-10-18 13:00:23 EDT
Sure, I just did it. Sorry for this.
Comment 19 Fedora Update System 2014-10-19 09:23:34 EDT
python-waitress-0.8.9-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.